create table dbc_bkasan ( bk_kaisono numeric(4)	NOT NULL
, bk_ksakibm char(6)	NULL
, bk_kmotobm char(6)	NULL
)
go
create unique index idx_bk1 on dbc_bkasan (	bk_kaisono,	bk_ksakibm,	bk_kmotobm)
go
create table dbc_bumon ( bm_bmcode char(6)	NULL
, bm_name varchar(48)	NULL
, bm_seisitu char(1)	NULL
, bm_level numeric(4)	NOT NULL
, bm_kaisono numeric(4)	NOT NULL
, bm_keisanjn numeric(4)	NOT NULL
, bm_bumonhi char(6)	NULL
)
go
create unique index idx_bm1 on dbc_bumon (	bm_bmcode)
go
create   index idx_bm2 on dbc_bumon (	bm_seisitu)
go
create   index idx_bm3 on dbc_bumon (	bm_kaisono)
go
create table dbc_kaisha ( ks_kisu numeric(4)	NOT NULL
, ks_setuymd datetime	NULL
, ks_yubinno char(8)	NULL
, ks_jusho varchar(128)	NULL
, ks_telno1 varchar(40)	NULL
, ks_telno2 varchar(40)	NULL
, ks_simebi numeric(4)	NOT NULL
, ks_tuki1 numeric(4)	NOT NULL
, ks_fymd1 datetime	NULL
, ks_tymd1 datetime	NULL
, ks_tuki2 numeric(4)	NOT NULL
, ks_fymd2 datetime	NULL
, ks_tymd2 datetime	NULL
, ks_tuki3 numeric(4)	NOT NULL
, ks_fymd3 datetime	NULL
, ks_tymd3 datetime	NULL
, ks_tuki4 numeric(4)	NOT NULL
, ks_fymd4 datetime	NULL
, ks_tymd4 datetime	NULL
, ks_tuki5 numeric(4)	NOT NULL
, ks_fymd5 datetime	NULL
, ks_tymd5 datetime	NULL
, ks_tuki6 numeric(4)	NOT NULL
, ks_fymd6 datetime	NULL
, ks_tymd6 datetime	NULL
, ks_tuki7 numeric(4)	NOT NULL
, ks_fymd7 datetime	NULL
, ks_tymd7 datetime	NULL
, ks_tuki8 numeric(4)	NOT NULL
, ks_fymd8 datetime	NULL
, ks_tymd8 datetime	NULL
, ks_tuki9 numeric(4)	NOT NULL
, ks_fymd9 datetime	NULL
, ks_tymd9 datetime	NULL
, ks_tuki10 numeric(4)	NOT NULL
, ks_fymd10 datetime	NULL
, ks_tymd10 datetime	NULL
, ks_tuki11 numeric(4)	NOT NULL
, ks_fymd11 datetime	NULL
, ks_tymd11 datetime	NULL
, ks_tuki12 numeric(4)	NOT NULL
, ks_fymd12 datetime	NULL
, ks_tymd12 datetime	NULL
, ks_tuki13 numeric(4)	NOT NULL
, ks_fymd13 datetime	NULL
, ks_tymd13 datetime	NULL
, ks_tuki14 numeric(4)	NOT NULL
, ks_fymd14 datetime	NULL
, ks_tymd14 datetime	NULL
)
go
create table dbz_bmshuptr ( sbs_ptrcode numeric(8)	NOT NULL
, sbs_shubumon numeric(8)	NOT NULL
, sbs_bmcode char(6)	NULL
)
go
create unique index idx_sbs1 on dbz_bmshuptr (	sbs_ptrcode,	sbs_shubumon,	sbs_bmcode)
go
create table dbz_bmtaiou ( bt_kaishaid numeric(8)	NOT NULL
, bt_dbmcode char(6)	NULL
, bt_sbmcode char(6)	NULL
)
go
create unique index idx_bt1 on dbz_bmtaiou (	bt_kaishaid,	bt_dbmcode,	bt_sbmcode)
go
create table dbz_chardata ( chd_id numeric(4)	NOT NULL
, chd_chardata varchar(600)	NULL
)
go
create unique index idx_chd1 on dbz_chardata (	chd_id)
go
create table dbz_choform ( cf_chno numeric(4)	NOT NULL
, cf_yosisize numeric(4)	NOT NULL
, cf_yosihoko char(1)	NULL
, cf_ketasu numeric(4)	NOT NULL
, cf_offset numeric(4)	NOT NULL
, cf_gyosu numeric(4)	NOT NULL
, cf_top numeric(14,3)	NOT NULL
, cf_bottom numeric(14,3)	NOT NULL
, cf_left numeric(14,3)	NOT NULL
, cf_right numeric(14,3)	NOT NULL
, cf_meistart numeric(4)	NOT NULL
, cf_meiend numeric(4)	NOT NULL
, cf_meigyo numeric(4)	NOT NULL
, cf_repnum numeric(4)	NOT NULL
, cf_repsize numeric(4)	NOT NULL
, cf_repgyo numeric(4)	NOT NULL
, cf_yoko1 numeric(4)	NOT NULL
, cf_tate1 numeric(4)	NOT NULL
, cf_yoko2 numeric(4)	NOT NULL
, cf_tate2 numeric(4)	NOT NULL
, cf_yoko3 numeric(4)	NOT NULL
, cf_tate3 numeric(4)	NOT NULL
, cf_yoko4 numeric(4)	NOT NULL
, cf_tate4 numeric(4)	NOT NULL
, cf_yoko5 numeric(4)	NOT NULL
, cf_tate5 numeric(4)	NOT NULL
)
go
create unique index idx_cf1 on dbz_choform (	cf_chno)
go
create table dbz_chokomok ( cm_chno numeric(4)	NOT NULL
, cm_meiptrn numeric(4)	NOT NULL
, cm_komokuno numeric(4)	NOT NULL
, cm_flag char(1)	NULL
, cm_fontno numeric(4)	NOT NULL
, cm_x numeric(14,3)	NOT NULL
, cm_y numeric(14,3)	NOT NULL
, cm_prbyte numeric(4)	NOT NULL
)
go
create unique index idx_cm1 on dbz_chokomok (	cm_chno,	cm_meiptrn,	cm_komokuno)
go
create table dbz_choline ( cl_chno numeric(4)	NOT NULL
, cl_kubun numeric(4)	NOT NULL
, cl_komokuno numeric(4)	NOT NULL
, cl_flag char(1)	NULL
, cl_shubetu char(1)	NULL
, cl_shurui char(1)	NULL
, cl_haba char(1)	NULL
, cl_x1 numeric(14,3)	NOT NULL
, cl_y1 numeric(14,3)	NOT NULL
, cl_x2 numeric(14,3)	NOT NULL
, cl_y2 numeric(14,3)	NOT NULL
, cl_repnum numeric(4)	NOT NULL
, cl_repofs numeric(4)	NOT NULL
)
go
create unique index idx_cl1 on dbz_choline (	cl_chno,	cl_kubun,	cl_komokuno)
go
create table dbz_chukik ( chk_no numeric(4)	NOT NULL
, chk_id numeric(4)	NOT NULL
, chk_chuuki varchar(204)	NULL
)
go
create unique index idx_chk1 on dbz_chukik (	chk_no,	chk_id)
go
create table dbz_cmnitem ( ci_custid numeric(8)	NOT NULL
, ci_name varchar(80)	NULL
, ci_orgid numeric(8)	NOT NULL
, ci_shurui char(1)	NULL
)
go
create unique index idx_ci1 on dbz_cmnitem (	ci_custid)
go
create table dbz_cmntree ( ct_usrlevel numeric(4)	NOT NULL
, ct_custid numeric(8)	NOT NULL
, ct_hyojst char(1)	NULL
, ct_shozoku numeric(8)	NOT NULL
, ct_juzoku numeric(4)	NOT NULL
)
go
create unique index idx_ct1 on dbz_cmntree (	ct_usrlevel,	ct_custid)
go
create table dbz_denid ( di_id numeric(8)	NOT NULL	identity
, di_status char(1)	NULL
, di_tukishu char(1)	NULL
, di_shurui char(1)	NULL
, di_keisiki char(1)	NULL
, di_sakusei char(1)	NULL
, di_imachine numeric(8)	NOT NULL
, di_iusrid numeric(8)	NOT NULL
, di_iapcode char(8)	NULL
, di_ikaisha char(8)	NULL
, di_idate datetime	NULL
, di_date datetime	NULL
, di_no numeric(8)	NOT NULL
)
go
create unique index idx_di1 on dbz_denid (	di_id)
go
create   index idx_di2 on dbz_denid (	di_date,	di_no,	di_status,	di_tukishu,	di_shurui,	di_keisiki)
go
create table dbz_denmei ( dm_diid numeric(8)	NOT NULL
, dm_sno numeric(4)	NOT NULL
, dm_lbmcode char(6)	NULL
, dm_lmcode char(6)	NULL
, dm_lscode char(6)	NULL
, dm_lkingaku numeric(14)	NOT NULL
, dm_lszeiku numeric(4)	NOT NULL
, dm_lkominuki char(1)	NULL
, dm_lszeirt numeric(4)	NOT NULL
, dm_lsikin char(6)	NULL
, dm_ln1code char(10)	NULL
, dm_ln2code char(10)	NULL
, dm_rbmcode char(6)	NULL
, dm_rmcode char(6)	NULL
, dm_rscode char(6)	NULL
, dm_rkingaku numeric(14)	NOT NULL
, dm_rszeiku numeric(4)	NOT NULL
, dm_rkominuki char(1)	NULL
, dm_rszeirt numeric(4)	NOT NULL
, dm_rsikin char(6)	NULL
, dm_rn1code char(10)	NULL
, dm_rn2code char(10)	NULL
, dm_tekiyo varchar(80)	NULL
, dm_kijitu datetime	NULL
, dm_shono char(10)	NULL
)
go
create unique index idx_dm1 on dbz_denmei (	dm_diid,	dm_sno)
go
create   index idx_dm2 on dbz_denmei (	dm_lbmcode)
go
create   index idx_dm3 on dbz_denmei (	dm_lmcode,	dm_lscode)
go
create   index idx_dm4 on dbz_denmei (	dm_rbmcode)
go
create   index idx_dm5 on dbz_denmei (	dm_rmcode,	dm_rscode)
go
create   index idx_dm6 on dbz_denmei (	dm_kijitu)
go
create table dbz_denno ( dn_shubetu char(1)	NULL
, dn_year numeric(8)	NOT NULL
, dn_m1 numeric(8)	NOT NULL
, dn_m2 numeric(8)	NOT NULL
, dn_m3 numeric(8)	NOT NULL
, dn_m4 numeric(8)	NOT NULL
, dn_m5 numeric(8)	NOT NULL
, dn_m6 numeric(8)	NOT NULL
, dn_m7 numeric(8)	NOT NULL
, dn_m8 numeric(8)	NOT NULL
, dn_m9 numeric(8)	NOT NULL
, dn_m10 numeric(8)	NOT NULL
, dn_m11 numeric(8)	NOT NULL
, dn_m12 numeric(8)	NOT NULL
, dn_m13 numeric(8)	NOT NULL
, dn_m14 numeric(8)	NOT NULL
)
go
create unique index idx_dn1 on dbz_denno (	dn_shubetu)
go
create table dbz_dentk ( dt_diid numeric(8)	NOT NULL
, dt_tekiyo varchar(80)	NULL
)
go
create unique index idx_dt1 on dbz_dentk (	dt_diid)
go
create table dbz_djisho ( dj_jbunrui numeric(4)	NOT NULL
, dj_jpage numeric(4)	NOT NULL
, dj_jflag char(1)	NULL
, dj_jname varchar(80)	NULL
)
go
create unique index idx_dj1 on dbz_djisho (	dj_jbunrui,	dj_jpage)
go
create table dbz_dlock ( dl_dummy numeric(4)	NOT NULL
)
go
create unique index idx_dl1 on dbz_dlock (	dl_dummy)
go
create table dbz_dnkankyo ( dk_senko numeric(4)	NOT NULL
, dk_nymcode char(6)	NULL
, dk_nyscode char(6)	NULL
, dk_shmcode char(6)	NULL
, dk_shscode char(6)	NULL
, dk_bmcode char(6)	NULL
, dk_toprint varchar(80)	NULL
)
go
create table dbz_gppiinfo ( gi_sakyosan numeric(4)	NOT NULL
)
go
create table dbz_gppimoto ( gm_kaishaid numeric(8)	NOT NULL	identity
, gm_kaishacd char(8)	NULL
, gm_kaishanm varchar(80)	NULL
, gm_kishuymd datetime	NULL
, gm_bmgappei char(1)	NULL
, gm_ysgappei numeric(4)	NOT NULL
, gm_connect char(25)	NULL
)
go
create unique index idx_gm1 on dbz_gppimoto (	gm_kaishaid)
go
create unique index idx_gm2 on dbz_gppimoto (	gm_kaishacd,	gm_kaishanm,	gm_kishuymd,	gm_connect)
go
create table dbz_gpshukei ( sh_bmcode char(6)	NULL
, sh_sseisitu numeric(4)	NOT NULL
, sh_mcode char(6)	NULL
, sh_scode char(6)	NULL
, sh_szeiritu numeric(4)	NOT NULL
, sh_minasi numeric(4)	NOT NULL
, sh_n1code char(10)	NULL
, sh_nuki1 numeric(14)	NOT NULL
, sh_komi1 numeric(14)	NOT NULL
, sh_jido1 numeric(14)	NOT NULL
, sh_ksan1 numeric(14)	NOT NULL
, sh_nuki2 numeric(14)	NOT NULL
, sh_komi2 numeric(14)	NOT NULL
, sh_jido2 numeric(14)	NOT NULL
, sh_ksan2 numeric(14)	NOT NULL
, sh_nuki3 numeric(14)	NOT NULL
, sh_komi3 numeric(14)	NOT NULL
, sh_jido3 numeric(14)	NOT NULL
, sh_ksan3 numeric(14)	NOT NULL
, sh_nuki4 numeric(14)	NOT NULL
, sh_komi4 numeric(14)	NOT NULL
, sh_jido4 numeric(14)	NOT NULL
, sh_ksan4 numeric(14)	NOT NULL
, sh_nuki5 numeric(14)	NOT NULL
, sh_komi5 numeric(14)	NOT NULL
, sh_jido5 numeric(14)	NOT NULL
, sh_ksan5 numeric(14)	NOT NULL
, sh_nuki6 numeric(14)	NOT NULL
, sh_komi6 numeric(14)	NOT NULL
, sh_jido6 numeric(14)	NOT NULL
, sh_ksan6 numeric(14)	NOT NULL
, sh_nuki7 numeric(14)	NOT NULL
, sh_komi7 numeric(14)	NOT NULL
, sh_jido7 numeric(14)	NOT NULL
, sh_ksan7 numeric(14)	NOT NULL
, sh_nuki8 numeric(14)	NOT NULL
, sh_komi8 numeric(14)	NOT NULL
, sh_jido8 numeric(14)	NOT NULL
, sh_ksan8 numeric(14)	NOT NULL
, sh_nuki9 numeric(14)	NOT NULL
, sh_komi9 numeric(14)	NOT NULL
, sh_jido9 numeric(14)	NOT NULL
, sh_ksan9 numeric(14)	NOT NULL
, sh_nuki10 numeric(14)	NOT NULL
, sh_komi10 numeric(14)	NOT NULL
, sh_jido10 numeric(14)	NOT NULL
, sh_ksan10 numeric(14)	NOT NULL
, sh_nuki11 numeric(14)	NOT NULL
, sh_komi11 numeric(14)	NOT NULL
, sh_jido11 numeric(14)	NOT NULL
, sh_ksan11 numeric(14)	NOT NULL
, sh_nuki12 numeric(14)	NOT NULL
, sh_komi12 numeric(14)	NOT NULL
, sh_jido12 numeric(14)	NOT NULL
, sh_ksan12 numeric(14)	NOT NULL
, sh_nuki13 numeric(14)	NOT NULL
, sh_komi13 numeric(14)	NOT NULL
, sh_jido13 numeric(14)	NOT NULL
, sh_ksan13 numeric(14)	NOT NULL
, sh_nuki14 numeric(14)	NOT NULL
, sh_komi14 numeric(14)	NOT NULL
, sh_jido14 numeric(14)	NOT NULL
, sh_ksan14 numeric(14)	NOT NULL
)
go
create unique index idx_sh2 on dbz_gpshukei (	sh_bmcode,	sh_sseisitu,	sh_mcode,	sh_scode,	sh_szeiritu,	sh_minasi,	sh_n1code)
go
create   index idx_sh4 on dbz_gpshukei (	sh_bmcode,	sh_sseisitu,	sh_mcode,	sh_scode,	sh_szeiritu,	sh_minasi)
go
create table dbz_idxtkyo ( it_tpage numeric(4)	NOT NULL
, it_tkeyno char(2)	NULL
, it_tno numeric(4)	NOT NULL
, it_tkcode char(6)	NULL
)
go
create unique index idx_it1 on dbz_idxtkyo (	it_tpage,	it_tkeyno,	it_tno)
go
create table dbz_jhfinfo ( jhf_bmcode char(6)	NULL
, jhf_mtkamoku char(1)	NULL
, jhf_mtmcode char(6)	NULL
, jhf_mtscode char(6)	NULL
, jhf_skkamoku char(1)	NULL
, jhf_skmcode char(6)	NULL
, jhf_skscode char(6)	NULL
, jhf_mamcode char(6)	NULL
, jhf_mascode char(6)	NULL
, jhf_samcode char(6)	NULL
, jhf_sascode char(6)	NULL
, jhf_kjkamoku char(1)	NULL
, jhf_kjmcode char(6)	NULL
, jhf_haifuf char(1)	NULL
, jhf_yobi1 char(1)	NULL
, jhf_yobi2 char(6)	NULL
, jhf_yobi3 numeric(8)	NOT NULL
)
go
create unique index idx_jhf1 on dbz_jhfinfo (	jhf_bmcode,	jhf_mtkamoku,	jhf_mtmcode,	jhf_mtscode,	jhf_skkamoku,	jhf_skmcode,	jhf_skscode)
go
create table dbz_jhkijun ( jhk_bmcode char(6)	NULL
, jhk_kjkamoku char(1)	NULL
, jhk_kjmcode char(6)	NULL
, jhk_kaishacd char(8)	NULL
, jhk_kaishanm varchar(80)	NULL
, jhk_hsakibm char(6)	NULL
, jhk_atai1 numeric(14,2)	NOT NULL
, jhk_atai2 numeric(14,2)	NOT NULL
, jhk_atai3 numeric(14,2)	NOT NULL
, jhk_atai4 numeric(14,2)	NOT NULL
, jhk_atai5 numeric(14,2)	NOT NULL
, jhk_atai6 numeric(14,2)	NOT NULL
, jhk_atai7 numeric(14,2)	NOT NULL
, jhk_atai8 numeric(14,2)	NOT NULL
, jhk_atai9 numeric(14,2)	NOT NULL
, jhk_atai10 numeric(14,2)	NOT NULL
, jhk_atai11 numeric(14,2)	NOT NULL
, jhk_atai12 numeric(14,2)	NOT NULL
, jhk_atai13 numeric(14,2)	NOT NULL
, jhk_atai14 numeric(14,2)	NOT NULL
, jhk_yobi1 char(1)	NULL
, jhk_yobi2 char(6)	NULL
, jhk_yobi3 numeric(8)	NOT NULL
)
go
create unique index idx_jhk1 on dbz_jhkijun (	jhk_bmcode,	jhk_kjkamoku,	jhk_kjmcode,	jhk_kaishacd,	jhk_kaishanm,	jhk_hsakibm)
go
create table dbz_jhkjname ( jhn_kjmcode char(6)	NULL
, jhn_name varchar(48)	NULL
, jhn_tani char(1)	NULL
, jhn_haifukf char(1)	NULL
, jhn_yobi1 char(1)	NULL
, jhn_yobi2 char(6)	NULL
, jhn_yobi3 numeric(8)	NOT NULL
)
go
create unique index idx_jhn1 on dbz_jhkjname (	jhn_kjmcode)
go
create table dbz_jhmoto ( jhm_hmotobm char(6)	NULL
, jhm_moikabm char(6)	NULL
, jhm_yobi1 char(1)	NULL
, jhm_yobi2 char(6)	NULL
, jhm_yobi3 numeric(8)	NOT NULL
)
go
create unique index idx_jhm1 on dbz_jhmoto (	jhm_hmotobm)
go
create table dbz_jhsaki ( jhs_kaishacd char(8)	NULL
, jhs_kaishanm varchar(80)	NULL
, jhs_hsakibm char(6)	NULL
, jhs_saikabm char(6)	NULL
, jhs_yobi1 char(1)	NULL
, jhs_yobi2 char(6)	NULL
, jhs_yobi3 numeric(8)	NOT NULL
)
go
create unique index idx_jhs1 on dbz_jhsaki (	jhs_kaishacd,	jhs_kaishanm,	jhs_hsakibm)
go
create table dbz_jnshohyo ( js_shurui char(1)	NULL
, js_jun numeric(4)	NOT NULL
, js_kamoku char(1)	NULL
, js_mcode char(6)	NULL
, js_out1 char(1)	NULL
, js_out2 char(1)	NULL
, js_out3 char(1)	NULL
, js_out4 char(1)	NULL
, js_out5 char(1)	NULL
, js_out6 char(1)	NULL
, js_out7 char(1)	NULL
, js_out8 char(1)	NULL
, js_out9 char(1)	NULL
, js_out10 char(1)	NULL
, js_out11 char(1)	NULL
, js_out12 char(1)	NULL
, js_out13 char(1)	NULL
, js_out14 char(1)	NULL
, js_out15 char(1)	NULL
, js_out16 char(1)	NULL
, js_out17 char(1)	NULL
, js_out18 char(1)	NULL
, js_out19 char(1)	NULL
, js_out20 char(1)	NULL
)
go
create unique index idx_js1 on dbz_jnshohyo (	js_shurui,	js_jun)
go
create   index idx_js2 on dbz_jnshohyo (	js_kamoku,	js_mcode)
go
create table dbz_junptr ( jp_shurui char(1)	NULL
, jp_ptrcode numeric(4)	NOT NULL
, jp_name varchar(48)	NULL
)
go
create unique index idx_jp1 on dbz_junptr (	jp_shurui,	jp_ptrcode)
go
create table dbz_kamoku ( km_kamoku char(1)	NULL
, km_mcode char(6)	NULL
, km_scode char(6)	NULL
, km_name varchar(48)	NULL
, km_siyo char(1)	NULL
, km_kasan1 char(6)	NULL
, km_kasan2 char(6)	NULL
, km_bunseki numeric(4)	NOT NULL
, km_shurui char(1)	NULL
, km_fskubun char(1)	NULL
, km_karikasi char(1)	NULL
, km_sankaku char(1)	NULL
, km_out char(1)	NULL
, km_tanaorosi numeric(4)	NOT NULL
, km_lsikin char(6)	NULL
, km_rsikin char(6)	NULL
, km_lszeiku numeric(4)	NOT NULL
, km_rszeiku numeric(4)	NOT NULL
, km_lszkouho numeric(4)	NOT NULL
, km_rszkouho numeric(4)	NOT NULL
, km_bunrui char(6)	NULL
, km_kmlevel numeric(4)	NOT NULL
, km_gosen char(1)	NULL
, km_ami char(1)	NULL
, km_flshukei char(1)	NULL
, km_kasan3 char(6)	NULL
, km_kasan4 char(6)	NULL
)
go
create unique index idx_km1 on dbz_kamoku (	km_kamoku,	km_mcode,	km_scode)
go
create   index idx_km2 on dbz_kamoku (	km_bunrui)
go
create   index idx_km3 on dbz_kamoku (	km_kasan1)
go
create   index idx_km4 on dbz_kamoku (	km_kasan2)
go
create   index idx_km5 on dbz_kamoku (	km_bunseki,	km_shurui)
go
create   index idx_km6 on dbz_kamoku (	km_kasan3)
go
create   index idx_km7 on dbz_kamoku (	km_kasan4)
go
create table dbz_kensaku ( kj_johozonno numeric(8)	NOT NULL
, kj_kenjun numeric(4)	NOT NULL
, kj_status numeric(4)	NOT NULL
, kj_tukishu numeric(4)	NOT NULL
, kj_shurui numeric(4)	NOT NULL
, kj_keisiki numeric(4)	NOT NULL
, kj_sakusei numeric(4)	NOT NULL
, kj_imachifg numeric(4)	NOT NULL
, kj_imachine numeric(8)	NOT NULL
, kj_iusridfg numeric(4)	NOT NULL
, kj_iusrid numeric(8)	NOT NULL
, kj_apcodefg numeric(4)	NOT NULL
, kj_apcode char(8)	NULL
, kj_ikaishafg numeric(4)	NOT NULL
, kj_ikaisha char(8)	NULL
, kj_idatefg numeric(4)	NOT NULL
, kj_fidate datetime	NULL
, kj_tidate datetime	NULL
, kj_datefg numeric(4)	NOT NULL
, kj_fdate datetime	NULL
, kj_tdate datetime	NULL
, kj_nofg numeric(4)	NOT NULL
, kj_fno numeric(8)	NOT NULL
, kj_tno numeric(8)	NOT NULL
, kj_bmcodefg numeric(4)	NOT NULL
, kj_bmcode char(6)	NULL
, kj_bmkkasi numeric(4)	NOT NULL
, kj_mcodefg numeric(4)	NOT NULL
, kj_mcode char(6)	NULL
, kj_mkkasi numeric(4)	NOT NULL
, kj_scodefg numeric(4)	NOT NULL
, kj_scode char(6)	NULL
, kj_kingakufg numeric(4)	NOT NULL
, kj_fkingaku numeric(14)	NOT NULL
, kj_tkingaku numeric(14)	NOT NULL
, kj_kkkasi numeric(4)	NOT NULL
, kj_kominukfg numeric(4)	NOT NULL
, kj_kominuki numeric(4)	NOT NULL
, kj_kokkasi numeric(4)	NOT NULL
, kj_szeikufg numeric(4)	NOT NULL
, kj_szeiku numeric(4)	NOT NULL
, kj_skukkasi numeric(4)	NOT NULL
, kj_szeirtfg numeric(4)	NOT NULL
, kj_szeirt numeric(4)	NOT NULL
, kj_srtkkasi numeric(4)	NOT NULL
, kj_sikinfg numeric(4)	NOT NULL
, kj_sikin char(6)	NULL
, kj_sikinauto numeric(4)	NOT NULL
, kj_sikkasi numeric(4)	NOT NULL
, kj_n1fg numeric(4)	NOT NULL
, kj_n1cd char(10)	NULL
, kj_n1kkasi numeric(4)	NOT NULL
, kj_n2fg numeric(4)	NOT NULL
, kj_n2cd char(10)	NULL
, kj_n2kkasi numeric(4)	NOT NULL
, kj_dentekifg numeric(4)	NOT NULL
, kj_denteki varchar(80)	NULL
, kj_gyofg numeric(4)	NOT NULL
, kj_gyoteki varchar(80)	NULL
, kj_kijitufg numeric(4)	NOT NULL
, kj_fkijitu datetime	NULL
, kj_tkijitu datetime	NULL
, kj_shonofg numeric(4)	NOT NULL
, kj_shono char(10)	NULL
)
go
create unique index idx_kj1 on dbz_kensaku (	kj_johozonno)
go
create table dbz_kjoken ( kc_jokencd char(6)	NULL
, kc_name varchar(80)	NULL
, kc_status numeric(4)	NOT NULL
, kc_datesite numeric(4)	NOT NULL
, kc_shurui numeric(4)	NOT NULL
, kc_keisiki numeric(4)	NOT NULL
, kc_sakusei numeric(4)	NOT NULL
, kc_iusridfg numeric(4)	NOT NULL
, kc_iusrid numeric(8)	NOT NULL
, kc_iapcodefg numeric(4)	NOT NULL
, kc_iapcode char(8)	NULL
, kc_ikaishafg numeric(4)	NOT NULL
, kc_ikaisha char(8)	NULL
, kc_idatefg numeric(4)	NOT NULL
, kc_fidate datetime	NULL
, kc_tidate datetime	NULL
, kc_datefg numeric(4)	NOT NULL
, kc_fdate datetime	NULL
, kc_tdate datetime	NULL
, kc_kensakufg numeric(4)	NOT NULL
, kc_kensaku numeric(4)	NOT NULL
, kc_nofg numeric(4)	NOT NULL
, kc_fno numeric(8)	NOT NULL
, kc_tno numeric(8)	NOT NULL
, kc_dentekifg numeric(4)	NOT NULL
, kc_denteki varchar(80)	NULL
)
go
create unique index idx_kc1 on dbz_kjoken (	kc_jokencd)
go
create table dbz_kmtekiyo ( kt_mcode char(6)	NULL
, kt_scode char(6)	NULL
, kt_karikasi char(1)	NULL
, kt_tkcode char(6)	NULL
)
go
create unique index idx_kt1 on dbz_kmtekiyo (	kt_mcode,	kt_scode,	kt_karikasi,	kt_tkcode)
go
create table dbz_kskamoku ( qk_type char(1)	NULL
, qk_ptrcode char(1)	NULL
, qk_chohyo numeric(4)	NOT NULL
, qk_jun numeric(4)	NOT NULL
, qk_kscode char(6)	NULL
, qk_rison char(1)	NULL
, qk_name varchar(72)	NULL
, qk_seisitu numeric(4)	NOT NULL
, qk_golevel numeric(4)	NOT NULL
, qk_sakujof char(1)	NULL
, qk_tuikaf char(1)	NULL
, qk_karikasi char(1)	NULL
, qk_kasan char(6)	NULL
, qk_out char(1)	NULL
, qk_mout char(1)	NULL
, qk_gakuout char(1)	NULL
, qk_michi numeric(4)	NOT NULL
, qk_ryotan numeric(4)	NOT NULL
, qk_gakuichi char(1)	NULL
, qk_outgaku char(1)	NULL
, qk_sen char(1)	NULL
, qk_outsen char(1)	NULL
, qk_ami char(1)	NULL
, qk_sankaku char(1)	NULL
, qk_gakukak numeric(4)	NOT NULL
, qk_shokei char(1)	NULL
, qk_oshokei char(1)	NULL
, qk_kaipage char(6)	NULL
, qk_kingaku1 numeric(14)	NOT NULL
, qk_kingaku2 numeric(14)	NOT NULL
, qk_zogen numeric(14)	NOT NULL
)
go
create unique index idx_qk1 on dbz_kskamoku (	qk_type,	qk_ptrcode,	qk_chohyo,	qk_jun,	qk_rison)
go
create table dbz_kskansa ( qn_zenan varchar(156)	NULL
, qn_zenkaku varchar(156)	NULL
, qn_sdate datetime	NULL
, qn_dainame1 varchar(88)	NULL
, qn_dainame2 varchar(88)	NULL
, qn_dainame3 varchar(88)	NULL
, qn_dainame4 varchar(88)	NULL
, qn_dainame5 varchar(88)	NULL
, qn_dainame6 varchar(88)	NULL
, qn_dainame7 varchar(88)	NULL
, qn_dainame8 varchar(88)	NULL
, qn_kanname1 varchar(88)	NULL
, qn_kanname2 varchar(88)	NULL
, qn_kanname3 varchar(88)	NULL
, qn_kanname4 varchar(88)	NULL
, qn_hokoku text	NULL
, qn_kdate datetime	NULL
)
go
create table dbz_kskyaku ( qc_kycode numeric(8)	NOT NULL	identity
, qc_kyjun numeric(4)	NOT NULL
, qc_kyku char(1)	NULL
, qc_kyname1 varchar(48)	NULL
, qc_kyname2 varchar(48)	NULL
, qc_tkygaku numeric(14,2)	NOT NULL
, qc_z1kygaku numeric(14,2)	NOT NULL
, qc_mojretu varchar(200)	NULL
)
go
create unique index idx_qc1 on dbz_kskyaku (	qc_kycode)
go
create unique index idx_qc2 on dbz_kskyaku (	qc_kyjun)
go
create table dbz_kskyout ( qa_type char(1)	NULL
, qa_ptrcode char(1)	NULL
, qa_chohyo numeric(4)	NOT NULL
, qa_kycode numeric(8)	NOT NULL
, qa_ojun numeric(4)	NOT NULL
, qa_kaipage char(1)	NULL
)
go
create unique index idx_qa1 on dbz_kskyout (	qa_type,	qa_ptrcode,	qa_chohyo,	qa_ojun)
go
create unique index idx_qa2 on dbz_kskyout (	qa_type,	qa_ptrcode,	qa_kycode)
go
create table dbz_ksoutjkn ( qo_kmryotan numeric(4)	NOT NULL
, qo_kyryotan numeric(4)	NOT NULL
, qo_tkabusu numeric(14)	NOT NULL
, qo_z1kabusu numeric(14)	NOT NULL
, qo_risiyo1 char(1)	NULL
, qo_risiyo2 char(1)	NULL
, qo_sonsiyo1 char(1)	NULL
, qo_sonsiyo2 char(1)	NULL
)
go
create table dbz_ksshuptr ( qp_type char(1)	NULL
, qp_ptrcode char(1)	NULL
, qp_name varchar(48)	NULL
, qp_unit numeric(4)	NOT NULL
, qp_shubetu char(1)	NULL
)
go
create unique index idx_qp1 on dbz_ksshuptr (	qp_type,	qp_ptrcode)
go
create table dbz_ksshuyak ( qs_type char(1)	NULL
, qs_ptrcode char(1)	NULL
, qs_chohyo numeric(4)	NOT NULL
, qs_kamoku char(1)	NULL
, qs_mcode char(6)	NULL
, qs_kscode char(6)	NULL
)
go
create unique index idx_qs1 on dbz_ksshuyak (	qs_type,	qs_ptrcode,	qs_chohyo,	qs_kamoku,	qs_mcode)
go
create table dbz_kssokya ( qe_kycode numeric(8)	NOT NULL	identity
, qe_kyjun numeric(4)	NOT NULL
, qe_kyku char(1)	NULL
, qe_kyname1 varchar(48)	NULL
, qe_kyname2 varchar(48)	NULL
, qe_tkygaku numeric(14,2)	NOT NULL
, qe_z1kygaku numeric(14,2)	NOT NULL
, qe_mojretu varchar(200)	NULL
)
go
create unique index idx_qe1 on dbz_kssokya (	qe_kycode)
go
create unique index idx_qe2 on dbz_kssokya (	qe_kyjun)
go
create table dbz_kstitle ( qt_type char(1)	NULL
, qt_ptrcode char(1)	NULL
, qt_shurui numeric(4)	NOT NULL
, qt_title char(80)	NULL
, qt_jun numeric(4)	NOT NULL
, qt_kkijyun char(1)	NULL
)
go
create unique index idx_qt1 on dbz_kstitle (	qt_type,	qt_ptrcode,	qt_shurui,	qt_kkijyun)
go
create table dbz_kszteki ( qz_type char(1)	NULL
, qz_ptrcode char(1)	NULL
, qz_chohyo numeric(4)	NOT NULL
, qz_kamoku char(1)	NULL
, qz_kmcode char(6)	NULL
, qz_kscode char(6)	NULL
, qz_outflg char(1)	NULL
, qz_tekiflg char(1)	NULL
, qz_tekiyo varchar(160)	NULL
)
go
create unique index idx_qz1 on dbz_kszteki (	qz_type,	qz_ptrcode,	qz_chohyo,	qz_kamoku,	qz_kmcode,	qz_kscode)
go
create table dbz_meikubun ( mk_bunrui char(6)	NULL
, mk_name varchar(48)	NULL
)
go
create unique index idx_mk1 on dbz_meikubun (	mk_bunrui)
go
create table dbz_meisai ( me_code char(6)	NULL
, me_name varchar(48)	NULL
, me_bunrui char(6)	NULL
)
go
create unique index idx_me1 on dbz_meisai (	me_code,	me_bunrui)
go
create table dbz_midasi ( ms_chono numeric(4)	NOT NULL
, ms_midano numeric(4)	NOT NULL
, ms_moji varchar(40)	NULL
)
go
create unique index idx_ms1 on dbz_midasi (	ms_chono,	ms_midano)
go
create table dbz_mjoken ( mc_jokencd char(6)	NULL
, mc_meisaino numeric(8)	NOT NULL
, mc_datano numeric(8)	NOT NULL
, mc_sitei numeric(4)	NOT NULL
, mc_yuko numeric(4)	NOT NULL
, mc_koumoku numeric(4)	NOT NULL
, mc_taisyaku numeric(4)	NOT NULL
, mc_data1 datetime	NULL
, mc_data2 numeric(8)	NOT NULL
, mc_data3 varchar(80)	NULL
, mc_data4 numeric(14)	NOT NULL
)
go
create unique index idx_mc1 on dbz_mjoken (	mc_jokencd,	mc_meisaino,	mc_datano)
go
create table dbz_mnnaiyo ( mn_menuid numeric(8)	NOT NULL
, mn_komkno numeric(4)	NOT NULL
, mn_siteijun numeric(4)	NOT NULL
, mn_data1 datetime	NULL
, mn_data2 numeric(8)	NOT NULL
, mn_data3 varchar(80)	NULL
)
go
create unique index idx_mn1 on dbz_mnnaiyo (	mn_menuid,	mn_komkno,	mn_siteijun)
go
create table dbz_nkomoku1 ( na_n1code char(10)	NULL
, na_n1name varchar(60)	NULL
)
go
create unique index idx_na1 on dbz_nkomoku1 (	na_n1code)
go
create table dbz_nkomoku2 ( nb_n2code char(10)	NULL
, nb_n2name varchar(60)	NULL
)
go
create unique index idx_nb1 on dbz_nkomoku2 (	nb_n2code)
go
create table dbz_otherkai ( ok_gyoshuid numeric(4)	NOT NULL
, ok_pcdir varchar(160)	NULL
, ok_gaibudir varchar(160)	NULL
, ok_net char(1)	NULL
, ok_compnm char(15)	NULL
, ok_sid char(9)	NULL
, ok_telno char(20)	NULL
, ok_kaishacd char(8)	NULL
, ok_kaishanm varchar(80)	NULL
, ok_kishuymd datetime	NULL
, ok_ocrdir varchar(160)	NULL
, ok_nkomoku1 varchar(24)	NULL
, ok_nkomoku2 varchar(24)	NULL
, ok_edate datetime	NULL
, ok_eusrid numeric(8)	NOT NULL
)
go
create table dbz_outhouho ( oh_ryotan numeric(4)	NOT NULL
)
go
create table dbz_pbksout ( qd_kmryotn1 numeric(4)	NOT NULL
, qd_kyryotn1 numeric(4)	NOT NULL
, qd_kmryotn2 numeric(4)	NOT NULL
, qd_kyryotn2 numeric(4)	NOT NULL
)
go
create table dbz_rdenid ( di_id numeric(8)	NOT NULL
, di_status char(1)	NULL
, di_tukishu char(1)	NULL
, di_shurui char(1)	NULL
, di_keisiki char(1)	NULL
, di_sakusei char(1)	NULL
, di_imachine numeric(8)	NOT NULL
, di_iusrid numeric(8)	NOT NULL
, di_iapcode char(8)	NULL
, di_ikaisha char(8)	NULL
, di_idate datetime	NULL
, di_date datetime	NULL
, di_no numeric(8)	NOT NULL
)
go
create unique index idx_rdi1 on dbz_rdenid (	di_id)
go
create   index idx_rdi2 on dbz_rdenid (	di_date,	di_no,	di_status,	di_tukishu,	di_shurui,	di_keisiki)
go
create table dbz_rdenmei ( dm_diid numeric(8)	NOT NULL
, dm_sno numeric(4)	NOT NULL
, dm_lbmcode char(6)	NULL
, dm_lmcode char(6)	NULL
, dm_lscode char(6)	NULL
, dm_lkingaku numeric(14)	NOT NULL
, dm_lszeiku numeric(4)	NOT NULL
, dm_lkominuki char(1)	NULL
, dm_lszeirt numeric(4)	NOT NULL
, dm_lsikin char(6)	NULL
, dm_ln1code char(10)	NULL
, dm_ln2code char(10)	NULL
, dm_rbmcode char(6)	NULL
, dm_rmcode char(6)	NULL
, dm_rscode char(6)	NULL
, dm_rkingaku numeric(14)	NOT NULL
, dm_rszeiku numeric(4)	NOT NULL
, dm_rkominuki char(1)	NULL
, dm_rszeirt numeric(4)	NOT NULL
, dm_rsikin char(6)	NULL
, dm_rn1code char(10)	NULL
, dm_rn2code char(10)	NULL
, dm_tekiyo varchar(80)	NULL
, dm_kijitu datetime	NULL
, dm_shono char(10)	NULL
)
go
create unique index idx_rdm1 on dbz_rdenmei (	dm_diid,	dm_sno)
go
create   index idx_rdm2 on dbz_rdenmei (	dm_lbmcode)
go
create   index idx_rdm3 on dbz_rdenmei (	dm_lmcode,	dm_lscode)
go
create   index idx_rdm4 on dbz_rdenmei (	dm_rbmcode)
go
create   index idx_rdm5 on dbz_rdenmei (	dm_rmcode,	dm_rscode)
go
create   index idx_rdm6 on dbz_rdenmei (	dm_kijitu)
go
create table dbz_rdentk ( dt_diid numeric(8)	NOT NULL
, dt_tekiyo varchar(80)	NULL
)
go
create unique index idx_rdt1 on dbz_rdentk (	dt_diid)
go
create table dbz_rdkanri ( rk_id numeric(8)	NOT NULL	identity
, rk_diid numeric(8)	NOT NULL
, rk_flg char(1)	NULL
, rk_progid numeric(4)	NOT NULL
, rk_date datetime	NULL
, rk_usrid numeric(8)	NOT NULL
)
go
create unique index idx_rk1 on dbz_rdkanri (	rk_id)
go
create   index idx_rk2 on dbz_rdkanri (	rk_diid)
go
create   index idx_rk3 on dbz_rdkanri (	rk_flg)
go
create table dbz_renapl ( ra_bmcode char(6)	NULL
, ra_n1code char(10)	NULL
)
go
create table dbz_shohizei ( so_tkazei numeric(14)	NOT NULL
, so_thizei numeric(14)	NOT NULL
, so_trtkazei numeric(14)	NOT NULL
, so_trthizei numeric(14)	NOT NULL
, so_z1kazei numeric(14)	NOT NULL
, so_z1hizei numeric(14)	NOT NULL
, so_z1rtkazei numeric(14)	NOT NULL
, so_z1rthizei numeric(14)	NOT NULL
, so_z2kazei numeric(14)	NOT NULL
, so_z2hizei numeric(14)	NOT NULL
, so_z2rtkazei numeric(14)	NOT NULL
, so_z2rthizei numeric(14)	NOT NULL
, so_misirt numeric(5,4)	NOT NULL
, so_sztukisu numeric(4)	NOT NULL
, so_stndrtno numeric(4)	NOT NULL
, so_szmcode1 char(6)	NULL
, so_szscode1 char(6)	NULL
, so_szmcode2 char(6)	NULL
, so_szscode2 char(6)	NULL
, so_szmcode3 char(6)	NULL
, so_szscode3 char(6)	NULL
, so_szmcode4 char(6)	NULL
, so_szscode4 char(6)	NULL
, so_szmcode5 char(6)	NULL
, so_szscode5 char(6)	NULL
, so_szmcode6 char(6)	NULL
, so_szscode6 char(6)	NULL
, so_szmcode7 char(6)	NULL
, so_szscode7 char(6)	NULL
)
go
create table dbz_shusitaio ( tss_kamoku char(1)	NULL
, tss_mcode char(6)	NULL
, tss_scode char(6)	NULL
, tss_kamoku1 char(1)	NULL
, tss_mcode1 char(6)	NULL
, tss_scode1 char(6)	NULL
, tss_kamoku2 char(1)	NULL
, tss_mcode2 char(6)	NULL
, tss_scode2 char(6)	NULL
)
go
create unique index idx_tss1 on dbz_shusitaio (	tss_kamoku,	tss_mcode,	tss_scode)
go
create table dbz_shuukei ( sh_bmcode char(6)	NULL
, sh_sseisitu numeric(4)	NOT NULL
, sh_mcode char(6)	NULL
, sh_scode char(6)	NULL
, sh_szeiritu numeric(4)	NOT NULL
, sh_minasi numeric(4)	NOT NULL
, sh_n1code char(10)	NULL
, sh_nuki1 numeric(14)	NOT NULL
, sh_komi1 numeric(14)	NOT NULL
, sh_jido1 numeric(14)	NOT NULL
, sh_ksan1 numeric(14)	NOT NULL
, sh_nuki2 numeric(14)	NOT NULL
, sh_komi2 numeric(14)	NOT NULL
, sh_jido2 numeric(14)	NOT NULL
, sh_ksan2 numeric(14)	NOT NULL
, sh_nuki3 numeric(14)	NOT NULL
, sh_komi3 numeric(14)	NOT NULL
, sh_jido3 numeric(14)	NOT NULL
, sh_ksan3 numeric(14)	NOT NULL
, sh_nuki4 numeric(14)	NOT NULL
, sh_komi4 numeric(14)	NOT NULL
, sh_jido4 numeric(14)	NOT NULL
, sh_ksan4 numeric(14)	NOT NULL
, sh_nuki5 numeric(14)	NOT NULL
, sh_komi5 numeric(14)	NOT NULL
, sh_jido5 numeric(14)	NOT NULL
, sh_ksan5 numeric(14)	NOT NULL
, sh_nuki6 numeric(14)	NOT NULL
, sh_komi6 numeric(14)	NOT NULL
, sh_jido6 numeric(14)	NOT NULL
, sh_ksan6 numeric(14)	NOT NULL
, sh_nuki7 numeric(14)	NOT NULL
, sh_komi7 numeric(14)	NOT NULL
, sh_jido7 numeric(14)	NOT NULL
, sh_ksan7 numeric(14)	NOT NULL
, sh_nuki8 numeric(14)	NOT NULL
, sh_komi8 numeric(14)	NOT NULL
, sh_jido8 numeric(14)	NOT NULL
, sh_ksan8 numeric(14)	NOT NULL
, sh_nuki9 numeric(14)	NOT NULL
, sh_komi9 numeric(14)	NOT NULL
, sh_jido9 numeric(14)	NOT NULL
, sh_ksan9 numeric(14)	NOT NULL
, sh_nuki10 numeric(14)	NOT NULL
, sh_komi10 numeric(14)	NOT NULL
, sh_jido10 numeric(14)	NOT NULL
, sh_ksan10 numeric(14)	NOT NULL
, sh_nuki11 numeric(14)	NOT NULL
, sh_komi11 numeric(14)	NOT NULL
, sh_jido11 numeric(14)	NOT NULL
, sh_ksan11 numeric(14)	NOT NULL
, sh_nuki12 numeric(14)	NOT NULL
, sh_komi12 numeric(14)	NOT NULL
, sh_jido12 numeric(14)	NOT NULL
, sh_ksan12 numeric(14)	NOT NULL
, sh_nuki13 numeric(14)	NOT NULL
, sh_komi13 numeric(14)	NOT NULL
, sh_jido13 numeric(14)	NOT NULL
, sh_ksan13 numeric(14)	NOT NULL
, sh_nuki14 numeric(14)	NOT NULL
, sh_komi14 numeric(14)	NOT NULL
, sh_jido14 numeric(14)	NOT NULL
, sh_ksan14 numeric(14)	NOT NULL
)
go
create unique index idx_sh1 on dbz_shuukei (	sh_bmcode,	sh_sseisitu,	sh_mcode,	sh_scode,	sh_szeiritu,	sh_minasi,	sh_n1code)
go
create   index idx_sh3 on dbz_shuukei (	sh_bmcode,	sh_sseisitu,	sh_mcode,	sh_scode,	sh_szeiritu,	sh_minasi)
go
create table dbz_slock ( sl_dummy numeric(4)	NOT NULL
)
go
create unique index idx_sl1 on dbz_slock (	sl_dummy)
go
create table dbz_ssbmptr ( sbp_ptrcode numeric(8)	NOT NULL
, sbp_shubm numeric(8)	NOT NULL
, sbp_out numeric(8)	NOT NULL
, sbp_name varchar(80)	NULL
)
go
create table dbz_tejkubun ( tb_tkid numeric(8)	NOT NULL
, tb_komkno numeric(4)	NOT NULL
, tb_skubun char(1)	NULL
)
go
create unique index idx_tb1 on dbz_tejkubun (	tb_tkid,	tb_komkno)
go
create table dbz_tejnaiyo ( tn_tkid numeric(8)	NOT NULL
, tn_komkno numeric(4)	NOT NULL
, tn_siteijun numeric(4)	NOT NULL
, tn_data1 datetime	NULL
, tn_data2 numeric(8)	NOT NULL
, tn_data3 varchar(80)	NULL
)
go
create unique index idx_tn1 on dbz_tejnaiyo (	tn_tkid,	tn_komkno,	tn_siteijun)
go
create table dbz_tejun ( te_id numeric(8)	NOT NULL	identity
, te_usrlevel numeric(4)	NOT NULL
, te_tejunjun numeric(4)	NOT NULL
, te_name varchar(80)	NULL
)
go
create unique index idx_te1 on dbz_tejun (	te_id)
go
create unique index idx_te2 on dbz_tejun (	te_usrlevel,	te_tejunjun)
go
create table dbz_tekiidx ( tx_tpage numeric(4)	NOT NULL
, tx_tkeyno char(2)	NULL
, tx_tname varchar(40)	NULL
)
go
create unique index idx_tx1 on dbz_tekiidx (	tx_tpage,	tx_tkeyno)
go
create table dbz_title ( ti_custid numeric(8)	NOT NULL
, ti_shubetu char(1)	NULL
, ti_mcode char(6)	NULL
, ti_title varchar(80)	NULL
, ti_chono numeric(4)	NOT NULL
, ti_shurui char(1)	NULL
, ti_ptrcode numeric(4)	NOT NULL
)
go
create unique index idx_ti1 on dbz_title (	ti_custid,	ti_shubetu,	ti_mcode)
go
create table dbz_tjkomoku ( tk_id numeric(8)	NOT NULL	identity
, tk_teid numeric(8)	NOT NULL
, tk_shorijun numeric(4)	NOT NULL
, tk_custid numeric(8)	NOT NULL
)
go
create unique index idx_tk1 on dbz_tjkomoku (	tk_id)
go
create unique index idx_tk2 on dbz_tjkomoku (	tk_teid,	tk_shorijun)
go
create table dbz_tkgoku ( tg_tkcode char(6)	NULL
, tg_tekiyo varchar(48)	NULL
)
go
create unique index idx_tg1 on dbz_tkgoku (	tg_tkcode)
go
create table dbz_tlock00 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl00 on dbz_tlock00 (	tl_tuki)
go
create table dbz_tlock01 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl01 on dbz_tlock01 (	tl_tuki)
go
create table dbz_tlock02 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl02 on dbz_tlock02 (	tl_tuki)
go
create table dbz_tlock03 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl03 on dbz_tlock03 (	tl_tuki)
go
create table dbz_tlock04 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl04 on dbz_tlock04 (	tl_tuki)
go
create table dbz_tlock05 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl05 on dbz_tlock05 (	tl_tuki)
go
create table dbz_tlock06 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl06 on dbz_tlock06 (	tl_tuki)
go
create table dbz_tlock07 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl07 on dbz_tlock07 (	tl_tuki)
go
create table dbz_tlock08 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl08 on dbz_tlock08 (	tl_tuki)
go
create table dbz_tlock09 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl09 on dbz_tlock09 (	tl_tuki)
go
create table dbz_tlock10 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl10 on dbz_tlock10 (	tl_tuki)
go
create table dbz_tlock11 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl11 on dbz_tlock11 (	tl_tuki)
go
create table dbz_tlock12 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl12 on dbz_tlock12 (	tl_tuki)
go
create table dbz_tlock13 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl13 on dbz_tlock13 (	tl_tuki)
go
create table dbz_tlock14 ( tl_tuki numeric(4)	NOT NULL
)
go
create unique index idx_tl14 on dbz_tlock14 (	tl_tuki)
go
create table dbz_touzan ( tz_bmcode char(6)	NULL
, tz_kamoku char(1)	NULL
, tz_mcode char(6)	NULL
, tz_scode char(6)	NULL
, tz_lzan0 numeric(14)	NOT NULL
, tz_rzan0 numeric(14)	NOT NULL
, tz_lzan1 numeric(14)	NOT NULL
, tz_rzan1 numeric(14)	NOT NULL
, tz_lzan2 numeric(14)	NOT NULL
, tz_rzan2 numeric(14)	NOT NULL
, tz_lzan3 numeric(14)	NOT NULL
, tz_rzan3 numeric(14)	NOT NULL
, tz_lzan4 numeric(14)	NOT NULL
, tz_rzan4 numeric(14)	NOT NULL
, tz_lzan5 numeric(14)	NOT NULL
, tz_rzan5 numeric(14)	NOT NULL
, tz_lzan6 numeric(14)	NOT NULL
, tz_rzan6 numeric(14)	NOT NULL
, tz_lzan7 numeric(14)	NOT NULL
, tz_rzan7 numeric(14)	NOT NULL
, tz_lzan8 numeric(14)	NOT NULL
, tz_rzan8 numeric(14)	NOT NULL
, tz_lzan9 numeric(14)	NOT NULL
, tz_rzan9 numeric(14)	NOT NULL
, tz_lzan10 numeric(14)	NOT NULL
, tz_rzan10 numeric(14)	NOT NULL
, tz_lzan11 numeric(14)	NOT NULL
, tz_rzan11 numeric(14)	NOT NULL
, tz_lzan12 numeric(14)	NOT NULL
, tz_rzan12 numeric(14)	NOT NULL
, tz_lzan13 numeric(14)	NOT NULL
, tz_rzan13 numeric(14)	NOT NULL
, tz_lchukan numeric(14)	NOT NULL
, tz_rchukan numeric(14)	NOT NULL
)
go
create unique index idx_tz1 on dbz_touzan (	tz_bmcode,	tz_kamoku,	tz_mcode,	tz_scode)
go
create   index idx_tz2 on dbz_touzan (	tz_kamoku,	tz_mcode,	tz_scode)
go
create table dbz_unaiyo ( un_komkno numeric(4)	NOT NULL
, un_data1 datetime	NULL
, un_data2 numeric(8)	NOT NULL
)
go
create unique index idx_un1 on dbz_unaiyo (	un_komkno)
go
create table dbz_ylock ( yl_dummy numeric(4)	NOT NULL
)
go
create unique index idx_yl1 on dbz_ylock (	yl_dummy)
go
create table dbz_yoname ( ym_shurui numeric(4)	NOT NULL
, ym_name varchar(48)	NULL
, ym_tani char(1)	NULL
)
go
create unique index idx_ym1 on dbz_yoname (	ym_shurui)
go
create table dbz_yosan ( ys_shurui numeric(4)	NOT NULL
, ys_bmcode char(6)	NULL
, ys_kamoku char(1)	NULL
, ys_mcode char(6)	NULL
, ys_scode char(6)	NULL
, ys_zan0 numeric(14)	NOT NULL
, ys_zan1 numeric(14)	NOT NULL
, ys_zan2 numeric(14)	NOT NULL
, ys_zan3 numeric(14)	NOT NULL
, ys_zan4 numeric(14)	NOT NULL
, ys_zan5 numeric(14)	NOT NULL
, ys_zan6 numeric(14)	NOT NULL
, ys_zan7 numeric(14)	NOT NULL
, ys_zan8 numeric(14)	NOT NULL
, ys_zan9 numeric(14)	NOT NULL
, ys_zan10 numeric(14)	NOT NULL
, ys_zan11 numeric(14)	NOT NULL
, ys_zan12 numeric(14)	NOT NULL
, ys_zan13 numeric(14)	NOT NULL
, ys_chukan numeric(14)	NOT NULL
)
go
create unique index idx_ys1 on dbz_yosan (	ys_shurui,	ys_bmcode,	ys_kamoku,	ys_mcode,	ys_scode)
go
create   index idx_ys2 on dbz_yosan (	ys_kamoku,	ys_mcode,	ys_scode)
go
create table dbz_yosanryu ( ry_id numeric(8)	NOT NULL	identity
, ry_shurui numeric(4)	NOT NULL
, ry_yno numeric(4)	NOT NULL
, ry_date datetime	NULL
, ry_mtbmcode char(6)	NULL
, ry_mtmcode char(6)	NULL
, ry_skbmcode char(6)	NULL
, ry_skmcode char(6)	NULL
, ry_kingaku numeric(14)	NOT NULL
)
go
create table dbz_yosanymd ( yy_yno numeric(4)	NOT NULL
, yy_date datetime	NULL
)
go
create unique index idx_yy1 on dbz_yosanymd (	yy_yno)
go
create table dbz_zenzan ( zz_bmcode char(6)	NULL
, zz_kamoku char(1)	NULL
, zz_mcode char(6)	NULL
, zz_scode char(6)	NULL
, zz_lzan0 numeric(14)	NOT NULL
, zz_rzan0 numeric(14)	NOT NULL
, zz_lzan1 numeric(14)	NOT NULL
, zz_rzan1 numeric(14)	NOT NULL
, zz_lzan2 numeric(14)	NOT NULL
, zz_rzan2 numeric(14)	NOT NULL
, zz_lzan3 numeric(14)	NOT NULL
, zz_rzan3 numeric(14)	NOT NULL
, zz_lzan4 numeric(14)	NOT NULL
, zz_rzan4 numeric(14)	NOT NULL
, zz_lzan5 numeric(14)	NOT NULL
, zz_rzan5 numeric(14)	NOT NULL
, zz_lzan6 numeric(14)	NOT NULL
, zz_rzan6 numeric(14)	NOT NULL
, zz_lzan7 numeric(14)	NOT NULL
, zz_rzan7 numeric(14)	NOT NULL
, zz_lzan8 numeric(14)	NOT NULL
, zz_rzan8 numeric(14)	NOT NULL
, zz_lzan9 numeric(14)	NOT NULL
, zz_rzan9 numeric(14)	NOT NULL
, zz_lzan10 numeric(14)	NOT NULL
, zz_rzan10 numeric(14)	NOT NULL
, zz_lzan11 numeric(14)	NOT NULL
, zz_rzan11 numeric(14)	NOT NULL
, zz_lzan12 numeric(14)	NOT NULL
, zz_rzan12 numeric(14)	NOT NULL
, zz_lzan13 numeric(14)	NOT NULL
, zz_rzan13 numeric(14)	NOT NULL
, zz_lchukan numeric(14)	NOT NULL
, zz_rchukan numeric(14)	NOT NULL
, zz_z2ruikei numeric(14)	NOT NULL
)
go
create unique index idx_zz1 on dbz_zenzan (	zz_bmcode,	zz_kamoku,	zz_mcode,	zz_scode)
go
create   index idx_zz2 on dbz_zenzan (	zz_kamoku,	zz_mcode,	zz_scode)
go
create table dbz_zlock ( zl_dummy numeric(4)	NOT NULL
)
go
create unique index idx_zl1 on dbz_zlock (	zl_dummy)
go
